Subject: Re: [Ltru] Re: Just checking...

From: "Doug Ewell" <[email-masked]>
Date: Sun, 19 Nov 2006 22:14:01 -0800

Martin Duerst <duerst at it dot aoyama dot ac dot jp> wrote:

> 2) One reason where an extension would be better is that the necessary
>   data (flags and such) could easily go on a separate place (IANA
>   or elsewhere), whereas extensions all have to go on the same page
>   (unless we would decide to change that).

I assume this was supposed to read:  "whereas variants all have to go on 
the same page..."

Martin already understands the following, but I include it for those who 
may still be fuzzy about extensions:

A basic feature of extension subtags is that they are not defined by 
LTRU or ietf-languages, and are not listed in the Language Subtag 
Registry or any other resource hosted by IANA.  They are defined by an 
external "maintaining authority" and listed in a separate, non-IANA, 
non-IETF registry.  There is a Language Tag Extensions Registry 
maintained by IANA, but it lists only the singleton and other basic 
information associated with each extension.  All of this is described 
plainly in Section 3.7.

If ISO 639-6 were used as the basis for an extension RFC, then all of 
the complicated rules we have been discussing -- which code elements 
could be used in language tags and which could not, which one would 
allow additional subtags (like script) and which would forbid them, 
which combinations would be impossible, etc. -- would be specified in 
that RFC, and the registry of subtags defined therein would be 
maintained by a third party.  Neither LTRU nor ietf-languages would have 
to make any of those decisions, or vet thousands of subtags.  The 
responsibility could fall on Debbie's Geolang organization, assisted by 
whoever volunteers (or is drafted) to assist.

--
Doug Ewell  *  Fullerton, California, USA  *  RFC 4645  *  UTN #14
http://users.adelphia.net/~dewell/
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Martin Duerst <[email-masked]>
Date: Tue, 21 Nov 2006 16:27:38 +0900

At 15:14 06/11/20, Doug Ewell wrote:
>I assume this was supposed to read:  "whereas variants all have to go on the same page..."

[chair hat off]
Yes indeed. I agree with the following, except that the "maintaining authority"
is not restricted to be non-IANA, non-IETF, and the body that defines an extension
is not restricted to non-IETF-language, non-LTRU.

As far as I understand, it would in theory be possible that a next version of the
LTRU WG would take on the job of creating an extension for 639-6 (and/or anything
else that the IETF would deem necessary), and that the necessary registry may
or may not be hosted at IANA. I don't know at this moment whether this would be
a good idea or not;
<chair-hat-on>
   I don't even want to start a discussion on
   such things before we have reasonably completed the current charter.
</chair-hat-on>
I just want to make clear that this is also possible.

Regards,    Martin.

>Martin already understands the following, but I include it for those who may still be fuzzy about extensions:
>
>A basic feature of extension subtags is that they are not defined by LTRU or ietf-languages, and are not listed in the Language Subtag Registry or any other resource hosted by IANA.  They are defined by an external "maintaining authority" and listed in a separate, non-IANA, non-IETF registry.  There is a Language Tag Extensions Registry maintained by IANA, but it lists only the singleton and other basic information associated with each extension.  All of this is described plainly in Section 3.7.
>
>If ISO 639-6 were used as the basis for an extension RFC, then all of the complicated rules we have been discussing -- which code elements could be used in language tags and which could not, which one would allow additional subtags (like script) and which would forbid them, which combinations would be impossible, etc. -- would be specified in that RFC, and the registry of subtags defined therein would be maintained by a third party.  Neither LTRU nor ietf-languages would have to make any of those decisions, or vet thousands of subtags.  The responsibility could fall on Debbie's Geolang organization, assisted by whoever volunteers (or is drafted) to assist.
>
>--

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]

---

From: "Doug Ewell" <[email-masked]>
Date: Tue, 21 Nov 2006 06:47:53 -0800

Martin is absolutely correct.  The proponent of an extension RFC and the 
maintaining authority for the extension are not *required* to be related 
to IETF or IANA, but they may be.